# ProjectileLaunched

Example usage:

```lua
-- Make the shooting player burn for 5 seconds when they launch a fireball
Events.ProjectileLaunched(function(event)
    if (event.shooter == nil) then
        return
    end
    
    if (event.projectileType == "fireball") then
       StatusEffectService.giveEffect(event.shooterEntity, StatusEffectType.BURN, 5)
    end
end)
```

### Parameters

#### shooter: [Entity](/scripting/bedwars-scripting/objects/entity.md) | nil

The entity that launched the projectile (may not exist).

#### projectileType: [ProjectileType](/scripting/bedwars-scripting/types/projectiletype.md)

The type of projectile that hit.

#### position: [Vector3](https://create.roblox.com/docs/reference/engine/datatypes/Vector3)

The position from which the projectile was launched.

#### velocity: [Vector3](https://create.roblox.com/docs/reference/engine/datatypes/Vector3)

The velocity of the projectile when launched.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/events/projectilelaunched.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
